#
# spec file for package libopencdk (Version 0.5.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libopencdk
BuildRequires:  libgcrypt-devel
URL:            http://www.gnutls.org/
Version:        0.5.5
Release:        15.2
Summary:        Library Providing Basic Parts of the OpenPGP Message Format
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Source:         opencdk-%{version}.tar.bz2
Patch:          %name-acquotation.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
For reference, read RFC2440. Due to some possible security problems,
the library also implements parts of
draft-ietf-openpgp-rfc2440bis-06.txt.

The aim of the library is not to replace any available OpenPGP version.
There is no real support for key management (sign, revoke, alter
preferences, etc.) and some other parts are only rudimentarily
available. The main purpose is to handle and understand OpenPGP packets
and to use basic operations. For example, to encrypt and decrypt, sign
and verify, and provide packet routines.



Authors:
--------
    Timo Schulz <twoaday@freakmail.de>

%debug_package
%package devel
Summary:        Development tools for programs which will use the opencdk library
Group:          System/Libraries
Requires:       libopencdk = %{version}

%description devel
This package contains the header files and static libraries for
developing programs which will be linked against the opencdk library.



Authors:
--------
    Timo Schulz <twoaday@freakmail.de>

%prep
%setup -q -n opencdk-%{version}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
		--prefix=%{_prefix} \
		--sysconfdir=%_sysconfdir \
		--libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 755 -d %buildroot/%_datadir/aclocal/
install -m 644 src/opencdk.m4 %buildroot/%_datadir/aclocal/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc TODO THANKS README-alpha README NEWS ChangeLog COPYING AUTHORS
%_libdir/libopencdk.so.*

%files devel
%defattr(-,root,root)
%doc doc/opencdk-api.html
%_bindir/*
%_libdir/libopencdk.a
%_libdir/libopencdk.la
%_libdir/libopencdk.so
%_includedir/*
%_datadir/aclocal/*

%changelog -n libopencdk
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug 31 2004 - kukuk@suse.de
- Update to version 0.5.5
* Mon Aug 30 2004 - kukuk@suse.de
- Create devel sub-package
* Thu Jul 15 2004 - hvogel@suse.de
- add libgcrypt-devel and lipgpg-error-devel to nfb
* Wed May 19 2004 - hvogel@suse.de
- update to version 0.5.4
* Tue Feb 17 2004 - hvogel@suse.de
- initial package, version 0.5.3
